ICEM Catia v5 import

  • 258 Views
  • Last Post 20 December 2018
jnwong posted this 19 December 2018

Hi, I tried to import a CATIA v5 model in the ICEM v15 and i get this error. Can you please tell me what is the cause from the error message below? Thanks.

Importing file /home/spirit2018/Support_concept1_AllCATPart.CATPart

Setting environment variable AWP_ROOT150 to /usr/ansys_inc/v150/icemcfd/linux64_amd
Using fieldmesher.exe
"/usr/ansys_inc/v150/icemcfd/linux64_amd/../../aisol/.workbench" -cmd /usr/ansys_inc/v150/icemcfd/linux64_amd/../../aisol/CommonFiles/linx64/ansys.meshing.fieldmesher.exe /usr/ansys_inc/v150/icemcfd/linux64_amd/../../commonfiles/CPython/2_7_3/linx64/Release/Ansys/ICEMCFD/FieldMesherController.py
Initializing ANSYS component system ...
running Ansys.Meshing.FieldMesher.exe ...
creating FMComponent instance ...
querying IFieldMesher interface ...
AnsysFieldMesher build date: Apr 24 2014 18:27:53

argv[0] = /usr/ansys_inc/v150/icemcfd/linux64_amd/../../aisol/CommonFiles/linx64/ansys.meshing.fieldmesher.exe
argv[1] = /usr/ansys_inc/v150/icemcfd/linux64_amd/../../commonfiles/CPython/2_7_3/linx64/Release/Ansys/ICEMCFD/FieldMesherController.py
child process exited abnormally
ERROR: Import geometry failed
ERROR: Error opening file, /home/spirit2018/__tmp_wb_geom_file18073.tin
Current Coordinate system is global
Done

Order By: Standard | Newest | Votes
tsiriaks posted this 19 December 2018

Hi jnwong,

Does this happen to any .CATPart ?

What if you try importing the file from a different location, say, /tmp 

Did it work before ?

Does this issue happen with other file extensions ?

Do you encounter any issue using other functionalities of any ANSYS software on the machine ?

Thanks,

Win

jnwong posted this 19 December 2018

Win, the file location does not make a difference. I recall that the import function works for Catia v5 R18 files before. So it's likely the latest release Catia files are the cause. Is this the case with ICEM v15 or is there add-on available to import the latest Catia format? Thanks. 

 

tsiriaks posted this 19 December 2018

Hi jnwong,

Ah, I see. So, your CATPart is a new version but you are trying to import this to ICEM v15.

I'm not an expert in ICEM but I've seen a lot of Workbench CAD import issues if the CAD versions don't match with what we are showing in the 'CAD Support' document here

https://www.ansys.com/solutions/solutions-by-role/it-professionals/platform-support/previous-releases

Do you still have any old version Catia V5 file to test importing it so that we can rule out any other possibilities of the issue ?

Thanks,

Win

kkanade posted this 20 December 2018

suggest you to export iges from catia and then import in icem. 

if this helps you, please mark this post as 'is solution' to help others on forum. 

Close